openstack-dashboard-ubuntu-theme fails to install

Bug #1432596 reported by James Page on 2015-03-16
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
horizon (Ubuntu)
High
James Page

Bug Description

Unpacking openstack-dashboard-ubuntu-theme (1:2015.1~b2-0ubuntu3) over (1:2015.1~b2-0ubuntu3) ...
Setting up openstack-dashboard-ubuntu-theme (1:2015.1~b2-0ubuntu3) ...
Collecting and compressing static assets...
CommandError: An error occured during rendering /usr/share/openstack-dashboard-ubuntu-theme/templates/_stylesheets.html: 'dashboard/css/rickshaw.css' could not be found in the COMPRESS_ROOT '/usr/share/openstack-dashboard/static' or with staticfiles.
dpkg: error processing package openstack-dashboard-ubuntu-theme (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 openstack-dashboard-ubuntu-theme
E: Sub-process /usr/bin/dpkg returned an error code (1)

ProblemType: Bug
DistroRelease: Ubuntu 15.04
Package: openstack-dashboard-ubuntu-theme 1:2015.1~b2-0ubuntu3 [modified: usr/share/openstack-dashboard-ubuntu-theme/templates/_stylesheets.html]
ProcVersionSignature: User Name 3.19.0-9.9-generic 3.19.1
Uname: Linux 3.19.0-9-generic x86_64
ApportVersion: 2.16.2-0ubuntu3
Architecture: amd64
Date: Mon Mar 16 11:32:05 2015
Ec2AMI: ami-0000022b
Ec2AMIManifest: FIXME
Ec2AvailabilityZone: nova
Ec2InstanceType: m1.small.osci
Ec2Kernel: aki-00000002
Ec2Ramdisk: ari-00000002
PackageArchitecture: all
SourcePackage: horizon
UpgradeStatus: No upgrade log present (probably fresh install)

James Page (james-page) wrote :
Changed in horizon (Ubuntu):
milestone: none → ubuntu-15.03
importance: Undecided → High
status: New → In Progress
assignee: nobody → James Page (james-page)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package horizon - 1:2015.1~b2-0ubuntu5

---------------
horizon (1:2015.1~b2-0ubuntu5) vivid; urgency=medium

  * d/control: Restore BD on python-django-nose, fixing FTBFS.
  * d/control: Add BD on dh-python.
 -- James Page <email address hidden> Mon, 16 Mar 2015 12:15:21 +0000

Changed in horizon (Ubuntu):
status: In Progress → Fix Released
Ryan Beisner (1chb1n) wrote :

FWIW, I just ran into this on ppc64el trusty-kilo-proposed testing. But -- it looks like I have but to wait.

tags: added: openstack uosci
Ryan Beisner (1chb1n) wrote :
Download full text (4.8 KiB)

It looks like we still have package issues @ 2015.1~b2-0ubuntu5~cloud0.

trusty-kilo-proposed:

ubuntu@juju-machine-0-lxc-7:/var/log/juju$ dpkg-query --show openstack-dash*
openstack-dashboard 1:2015.1~b2-0ubuntu5~cloud0
openstack-dashboard-ubuntu-theme 1:2015.1~b2-0ubuntu5~cloud0

-03-24 21:32:39 INFO unit.openstack-dashboard/0.install logger.go:40 Traceback (most recent call last):
2015-03-24 21:32:39 INFO unit.openstack-dashboard/0.install logger.go:40 File "manage.py", line 25, in <module>
2015-03-24 21:32:39 INFO unit.openstack-dashboard/0.install logger.go:40 execute_from_command_line(sys.argv)
2015-03-24 21:32:39 INFO unit.openstack-dashboard/0.install logger.go:40 File "/usr/lib/python2.7/dist-packages/django/core/management/__init__.py", line 385, in execute_from_command_line
2015-03-24 21:32:39 INFO unit.openstack-dashboard/0.install logger.go:40 utility.execute()
2015-03-24 21:32:39 INFO unit.openstack-dashboard/0.install logger.go:40 File "/usr/lib/python2.7/dist-packages/django/core/management/__init__.py", line 377, in execute
2015-03-24 21:32:39 INFO unit.openstack-dashboard/0.install logger.go:40 self.fetch_command(subcommand).run_from_argv(self.argv)
2015-03-24 21:32:39 INFO unit.openstack-dashboard/0.install logger.go:40 File "/usr/lib/python2.7/dist-packages/django/core/management/__init__.py", line 238, in fetch_command
2015-03-24 21:32:39 INFO unit.openstack-dashboard/0.install logger.go:40 klass = load_command_class(app_name, subcommand)
2015-03-24 21:32:39 INFO unit.openstack-dashboard/0.install logger.go:40 File "/usr/lib/python2.7/dist-packages/django/core/management/__init__.py", line 41, in load_command_class
2015-03-24 21:32:39 INFO unit.openstack-dashboard/0.install logger.go:40 module = import_module('%s.management.commands.%s' % (app_name, name))
2015-03-24 21:32:39 INFO unit.openstack-dashboard/0.install logger.go:40 File "/usr/lib/python2.7/importlib/__init__.py", line 37, in import_module
2015-03-24 21:32:39 INFO unit.openstack-dashboard/0.install logger.go:40 __import__(name)
2015-03-24 21:32:39 INFO unit.openstack-dashboard/0.install logger.go:40 File "/usr/lib/python2.7/dist-packages/compressor/management/commands/compress.py", line 28, in <module>
2015-03-24 21:32:39 INFO unit.openstack-dashboard/0.install logger.go:40 from compressor.cache import get_offline_hexdigest, write_offline_manifest
2015-03-24 21:32:39 INFO unit.openstack-dashboard/0.install logger.go:40 File "/usr/lib/python2.7/dist-packages/compressor/cache.py", line 8, in <module>
2015-03-24 21:32:39 INFO unit.openstack-dashboard/0.install logger.go:40 from django.utils import simplejson
2015-03-24 21:32:39 INFO unit.openstack-dashboard/0.install logger.go:40 ImportError: cannot import name simplejson
2015-03-24 21:32:39 INFO unit.openstack-dashboard/0.install logger.go:40 dpkg: error processing package openstack-dashboard (--configure):
2015-03-24 21:32:39 INFO unit.openstack-dashboard/0.install logger.go:40 subprocess installed post-installation script returned error exit status 1
2015-03-24 21:32:39 INFO unit.openstack-dashboard/0.install logger.go:40 dpkg: dependency problems pr...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers